Stackato 2.10.X Security Patches

Posted by jamesf on 2013-08-09 08:31
OS: All / Any | Product: Stackato | tags: patch Security stackato
Question: 

An assortment of security patches are available, we strongly recommend you apply them

Answer: 

## 2.10.4

Please apply the following patches **in this order** by executing the scripts
on each of your nodes. After applying the patches, please restart all
controller and stager roles by running "kato restart controller" and "kato
restart stager" on the nodes assigned to those roles.

http://get.stackato.com/patch/2.10/stackato-2.10.4-download-and-director...
http://get.stackato.com/patch/2.10/stackato-2.10.4-apt-get-wrapper.sh
http://get.stackato.com/patch/2.10/stackato-2.10.4-staging-use-apt-get-w...
http://get.stackato.com/patch/2.10/stackato-2.10.4-router-head-hpe.sh

After you have installed these patches, you should also install

http://get.stackato.com/patch/2.10/stackato-2.10.4-apt-get-wrapper-fix.sh

Which corrects an issue with apt-get-wrapper. Note that it is extremely important that this be installed AFTER apt-get-wrapper is installed, and that both will need to be installed for correct security.

## 2.10.6

Please apply an upgrade to the kato-patch system:

wget https://get.stackato.com/kato-patch/updates/2.10.6/kato-patch-5.sh
sh kato-patch-5.sh --target /s/kato/lib/kato/cli/cmd/patch/

Once kato-patch is upgraded, please run:

kato patch install --all

This will install all patches and update your system. This command will
automatically restart various roles as patches are applied and may interrupt
various services briefly. It will prompt for your password several times for
each node.